Subject: Re: mpc8541 pci1 ioport allocation address space problem

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 24 Sep 2008 07:16:12 +1000

On Tue, 2008-09-23 at 22:24 +0800, Wang Jian wrote:
> 
> I had this patch and 2 fixes on dts applied simultaneously, and the
> board
> works. I thought this patch was necessary.
> 
> I reverted this patch and tried again, the board still works. Thanks
> for
> your insight.
> 
> Anyway, the io port read from /proc/ioports is misleading, so I wish
> it
> can be changed a little.
> 

Ordering things differently in the DTS so that the lower address bus
gets probed first might help.

Cheers
Ben.